package gridexsolution;

import java.util.Scanner;
import unit4.gridLib.Grid;

/**
 * Fills numbers 
 * 1,2,1,2
 * 2,1,2,1
 * 
 * @author Lavy
 */
public class Ex9_FillNumbersInChessOrder
{
    public static Scanner input = new Scanner(System.in);
    public static void main(String[] args)
    {
        System.out.println("Enter number of rows");
        int rows = input.nextInt();
        System.out.println("Enter number of columns");
        int cols = input.nextInt();
        Grid g = new Grid(rows, cols, 40, 40);
        g.show();
        int startNumber = 0;
        for(int i = 0; i < g.getRowsCount(); i++)
        {
            for (int j = 0 ; j < g.getColumnsCount(); j++)
        
            {
                g.setCellText(i, j, "" + ((j+startNumber)  % 2+1));
            }
            startNumber = (startNumber + 1) % 2;
        
        }
        
    }
}
